/*** LAZY LOAD IFRAMES ***/

(function () {
  const iframes = document.querySelectorAll('iframe[lazy_loaded_iframe]:not([src*="youtube"])');
  const grayPlaceholders = document.getElementsByClassName('ss-iframe-placeholder');

  // Add the class 'ss-iframe-loaded' to each iframe so that it can be loaded
  Array.from(iframes).forEach((iframeElement) => {
    iframeElement.classList.add("ss-iframe-loaded");
  });

  // Remove placeholders
  Array.from(grayPlaceholders).forEach((grayPlaceholder) => {
    grayPlaceholder.remove();
  });

})();
