

(function () {
  // Add IDs to admin menu items
  let menuItem = document.querySelector("#wp-admin-bar-ss-tools .ab-item");
  if (menuItem) {

      // Reload button adds a query string to show an un-cached page
      menuItem.addEventListener("click", function (event) {
          event.preventDefault();

          const randomString = Array.from({ length: 10 }, () =>
              "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789".charAt(
                  Math.floor(Math.random() * 62)
              )
          ).join("");

          const url = new URL(window.location.href);
          url.searchParams.set("no-cache", randomString);

          window.location.href = url.toString();
      });
  }
})();

