
(function () {
		// Get all links with the delay-href attribute
		const styleSheets = Array.from(
			document.querySelectorAll("link[delay-href]")
		);

		// Iterate over them and perform the loading
		styleSheets.forEach((sheet) => {
			// Create the stylesheet
			const href = sheet.getAttribute("delay-href");
			const newLink = document.createElement("link");
			newLink.rel = "stylesheet";
			newLink.href = href;
			newLink.media = "all";
			newLink.setAttribute("fetchpriority", "high");

			// Replace the old link with the new one
			sheet.parentNode.replaceChild(newLink, sheet);
		});

})();
